Special:MostLinkedCategories shows links to non-existent categories with 0 members
Closed, ResolvedPublic

Description

My understanding is that Special:MostLinkedCategories should display links to:

  1. existent categories with >0 members,
  2. non-existent categories with >0 members,
  3. (possibly) existent categories with 0 members.

On the other hand, it should *not* display links to:

  1. non-existent categories with 0 members.

Case 4. originates from 3. by removing a page from the respective category or by deleting an unused category.

Links from case 4. are currently displayed in the Special:MostLinkedCategories list - this is the point of this bug report.

Also note that Special:MostLinkedPages and Special:MostLinkedTemplates do not contain links to non-existent pages/templates with 0 links/transclusions.

Some links to show you what I mean:
https://en.wikipedia.org/w/index.php?title=Special:MostLinkedCategories&limit=500&offset=1500000
https://wiki.archlinux.org/index.php?title=Special:MostLinkedCategories&limit=500&offset=1500


Version: 1.22.0
Severity: normal

bzimport added a project: MediaWiki-Special-pages.Via ConduitNov 22 2014, 2:26 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz58967.
Lahwaacz created this task.Via LegacyDec 25 2013, 10:39 PM
bzimport added a comment.Via ConduitDec 26 2013, 2:33 AM

dariogiova wrote:

I'm just adding that this behaviour may allow a malicious user to leave traces of e.g. spamming or defamatory Category names by just adding one article to such a Category, whose "wanted" name would appearently stay in the list without the possibility of being removed.

gerritbot added a comment.Via ConduitDec 26 2013, 9:46 PM

Change 103856 had a related patch set uploaded by Brian Wolff:
Don't include empty categories in Special:Mostlinkedcategories

https://gerrit.wikimedia.org/r/103856

gerritbot added a comment.Via ConduitJan 28 2014, 2:29 AM

Change 103856 merged by jenkins-bot:
Don't include empty categories in Special:Mostlinkedcategories

https://gerrit.wikimedia.org/r/103856

duplicatebug added a comment.Via ConduitMar 1 2014, 12:09 PM

Status Merged

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.